pan pan pan

Milan Zamazal pdm at
Mon Aug 24 07:04:47 UTC 2009

>>>>> "RS" == Rupert Swarbrick <rswarbrick-Re5JQEeQqe8AvxtiuMwx3w at> writes:

    RS> Hmm, so as I said (somewhere in this thread), quite a few lisp
    RS> libraries don't have "proper" releases, or the official releases
    RS> lag so far behind the scm that they're pretty much irrelevant.

It is not that important whether there are "proper" releases or just
implicit releases in SCM.  You can package whatever version you consider
most suitable for Debian users.  The important thing is how much the
released versions (whatever the _release_ is) retain backward
compatibility and whether they are stable enough or the stable versions
can be easily identified.  If most versions in SCM satisfy this then
it's OK.

For instance, if there are packages A, B, C depending on a library L
then there should be a clearly stable version of L which can be used by
all the A, B, C packages.  If A works only with version L-1 (and not
with L-2 or L-3), B only with L-2 and C only with L-3 or when the Debian
maintainer has to test versions from L-1234 to L-1243 to find out which
one of them (if any) is sufficiently bug free then L is a packaging
headache not worth the effort.

More information about the pkg-common-lisp-devel mailing list